from django.db import models
from app.models import ItfModel
from django.contrib.auth.models import User


class Offer(ItfModel):
    form_names = ['OfferForm']
    main_form = 'OfferForm'
    user = models.ForeignKey(User)
    title = models.CharField(max_length=255)
    description = models.TextField(blank=True)

    def __unicode__(self):
        return self.title


class Need(ItfModel):
    form_names = ['NeedForm']
    main_form = 'NeedForm'
    user = models.ForeignKey(User)
    title = models.CharField(max_length=255)
    description = models.TextField(blank=True)

    def __unicode__(self):
        return self.title



# Create your models here.
